## EMBOSS: iep

# Program iep

## Function

Calculates the isoelectric point of a protein

## Description

This calculates the isoelectric point of a protein from its amino acid composition assuming that no electrostatic interactions change the propensity for ionization.

Adjusting the pH of an aqueous protein solution to the point where the numbers of positive and negative charges on the protein are equal brings the protein to its isoelectric point. This is often the point of lowest solubility, presumably because it is the point at which there are fewest intermolecular repulsions, so that the molecules tend to form aggregates.

The application can make a plot of the ionization curve with respect to pH and can write an output file of the data.

## Usage

Here is a sample session with iep.

    % iep sw:laci_ecoli
    Output file [laci_ecoli.iep]:

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-sequencea]         seqall     Sequence database USA
    *  -graph              xygraph    Graph type
    *  -outfile            outfile    Output file name

       Optional qualifiers: (none)
       Advanced qualifiers:
       -step               float      pH step value
       -amino              integer    Number of N-termini
       -[no]termini        bool       Include charge at N and C terminus
       -plot               bool       Plot charge vs pH
       -[no]report         bool       Write results to a file

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequencea] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <sequence>.iep
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
-step | pH step value | Number from 0.010 to 1.000 | .5
-amino | Number of N-termini | Any integer value | 1
-[no]termini | Include charge at N and C terminus | Yes/No | Yes
-plot | Plot charge vs pH | Yes/No | No
-[no]report | Write results to a file | Yes/No | Yes

## Input file format

Any protein sequence USA.

## Output file format

This is the output file from the example:
For each pH point it gives the number of bound electrons and the charge.

    IEP of LACI_ECOLI from 1 to 360
    Isoelectric Point = 6.8820

       pH     Bound    Charge
      1.00    81.96    37.96
      1.50    81.89    37.89
      2.00    81.65    37.65
      2.50    80.91    36.91
      3.00    78.79    34.79
      3.50    73.70    29.70
      4.00    65.15    21.15
      4.50    56.73    12.73
      5.00    51.75     7.75
      5.50    49.36     5.36
      6.00    47.63     3.63
      6.50    45.56     1.56
      7.00    43.59    -0.41
      7.50    42.27    -1.73
      8.00    41.22    -2.78
      8.50    39.87    -4.13
      9.00    38.26    -5.74
      9.50    36.24    -7.76
     10.00    33.03   -10.97
     10.50    28.46   -15.54
     11.00    23.58   -20.42
     11.50    19.41   -24.59
     12.00    15.19   -28.81
     12.50     9.75   -34.25
     13.00     4.64   -39.36
     13.50     1.75   -42.25
     14.00     0.59   -43.41

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

0 if successful.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranseq | Back translate a protein sequence
charge | Protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein sequence
compseq | Counts the composition of dimer/trimer/etc words in a sequence
emowse | Protein identification by mass spectrometry
freak | Residue/base frequency table or plot
mwfilter | Filter noisy molwts from mass spec output
octanol | Displays protein hydropathy
pepinfo | Plots simple amino acid properties in parallel
pepstats | Protein statistics
pepwindow | Displays protein hydropathy
pepwindowall | Displays protein hydropathy of a set of sequences

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

Completed 1st August 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments